/*

  This demo builds a Win32 DLL

  LibMain() is missing here, it is also defined in the C library

*/

#define STRICT
#define WIN32_LEAN_AND_MEAN

#include <windows.h>
#include <stdio.h>
#include "dlltest.h"

/* exporting data*/

int VariableDll = 1;

/* exporting data*/

int CALLBACK DllAccess(char *s)
{
    return access(s, 0);
}

int CALLBACK DllStat(char *s, struct stat *fStat)
{
    return stat(s, fStat);
}
